<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Verified with Datapro versions 1.10.570.48459, 3.1.707.48729 ,3.3.797.48656 , 4.0.957.48813 and 4.1.314.48820.
Tested importing  attached CalExport.csv using command line   and a centralized Mira db mounted on burrito-supreme server   with each version datapro.
Imports now create a log file which gives  more  information  and feedback to user. Imports did not abort at any point in testing .
.


Import Log file shows conflicted sensors .. sensors imported , sensors not imported and additional information.



Datapro.exe /u:Admin /p:DTSAdmin /SW:TRUE /csvimport:"C:\DTS\CalExport.csv" /csvverbose:TRUE /csvimportlog:"C:\DTS\ImportLogIDE.log"




</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-06-08T18:19:21Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-06-05T15:42:06Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-05-31T20:57:54Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-24T20:57:22Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-05-15T15:08:37Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>With default dp local database .. using csv file attached from original case , Sensors import with no error and log is created</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-01T19:31:32Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-01T18:23:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-01T18:19:48Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Test in 3.3 . 794</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-01T18:19:03Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-04-27T19:27:01Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-04-20T17:11:45Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-04-19T23:15:09Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-04-11T20:22:42Z</TimeStamp>
    <ReleaseNote>Command line import is more fault tolerant and has more logging</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-11T20:22:09Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-11T14:46:51Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-03-31T18:55:39Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>48459 is 1.10; 48460 is 3.1; 48461 is 3.3; 48462 is 4.0; 48463 is 4.1</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-03-31T18:46:00Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-03-29T21:02:03Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>To test, enter the following at a command line with a 4.0 MIRA database (attached):
/u:Admin /p:DTSAdmin /SW:TRUE /csvimport:"C:\DTS\CalExport.csv" /csvverbose:TRUE /csvimportlog:"C:\DTS\ImportLogIDE.log"

no longer aborts with bad input and adds additional log entries</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-29T21:01:23Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-28T14:48:26Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-27T19:18:03Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Kate Martin</User>
    <Comment>So trying to update a sensor type to a different one when it is already assigned to one type appears to be the issue. aka trying to change a digital input channel to a squib input channel.
 
MIRA are asking if CLI import changes to log this type of issue can be ported back into 1.10.556. I suggested a 4.x only but in Colin's own words "they are not ready to move to 4.x".  
 
Just like they haven't been ready to move to 2.x or 3.x over the last 5+ years. But if it works why break it I guess.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-24T12:16:23Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Attached an attempt to fix the input file
</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-23T23:10:27Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-23T15:42:05Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>MIRA imports all of their sensors daily(?) even though most do not have a changed calibration.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-23T15:41:41Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-03-23T15:40:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Import via Command Line works with an empty database, and via the UI using MIRA's database, and may work via the Command Line with MIRA's database, but there is no feedback on the Command Line and the .log file doesn't provide status, other than the first two lines, until it finishes.

Querying the number of rows in the SensorCalibrations table during the import may signify whether the import is still going or not, based on the change in the number of rows between periodic queries (surprisingly(?) the number decreases at times).</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-03-23T15:40:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>